Bug 723326 - Review Request: dolibarr - ERP & CRM for small companies, freelances or foundations
Review Request: dolibarr - ERP & CRM for small companies, freelances or found...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-19 14:57 EDT by Laurent Destailleur
Modified: 2015-07-21 09:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 09:14:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurent Destailleur 2011-07-19 14:57:44 EDT
Spec URL: http://www.dolibarr.org/files/fedora/dolibarr.spec
SRPM URL: http://www.dolibarr.org/files/fedora/dolibarr-3.1.0-0.src.rpm
Description:  Dolibarr ERP & CRM is an easy to use open source/free software for small and medium companies, foundations or freelances. It includes different features for Enterprise Resource Planning (ERP) and Customer Relationship Management (CRM) but also for different other activities.

I am author of other already packaged OpenSources packages (awstats) but this is my first package to maintain myself. So i'm seeking a sponsor.
Comment 1 Laurent Destailleur 2011-07-31 15:17:13 EDT
I have resubmitted SRPMS to match package names rules and fix the target arch. Correct one is "noarch".

This is links to SRPMS to use is:
http://www.dolibarr.org/files/fedora/dolibarr-3.1.0-0.2.beta1.src.rpm

And links to binary package is:
http://www.dolibarr.org/files/fedora/dolibarr-3.1.0-0.2.beta1.noarch.rpm
Comment 2 Remi Collet 2011-08-06 08:22:02 EDT
First comments

Don't define name, version, release (Name, Version and Release directives are enough)

Release must include %{?dist}

For readilibilty clean the spec of all non-fedora stuff

Requiring mysql-server is probably a bad idea (you can install the web-app on a server and the DB on another)


Most stuff in %post should go to %install (and %file)
Most stuff in %postun should be obsoleted by previous comment


Don't create /usr/share/doc/dolibar.
Use %doc <pathinsourcetree>
File will be added to /usr/share/doc/dolibar-3.1.0 which is the standard default location.

Lang file must be tag as lang file.

You must not bundle library (artichow, tcpdf, ..) but use system ones (and submit new packages if not available).

Use desktop-file-install to install .desktop (not install)

Please confirm the requires PHP extensions / version required (phpci reports php 5.3.0 and lot extensions, probably some "false/positive" due to embedded libraries)
Comment 3 Laurent Destailleur 2011-09-04 17:03:59 EDT
I uploaded a new version with the following changes:
* spec include %{?dist}
* move creation of conf files into the install
* removed creation of doc folder /usr/share/doc/dolibarr.
* language files use the name.lang
* use desktop-file-install instead of .desktop
* change php requirement to 5.3.0
* removed all embedded ressources already available as a package (so no more font files are provided, and removed all changes done into libraries)
* also the package is built from the standard tgz distribution.

This is links to SRPMS to use is:
http://www.dolibarr.org/files/fedora/dolibarr-3.2.0-0.1.a.fc15.src.rpm

And links to binary package is:
http://www.dolibarr.org/files/fedora/dolibarr-3.2.0-0.1.a.fc15.noarch.rpm
Comment 4 Laurent Destailleur 2011-10-27 11:54:58 EDT
Last build with tgz source file, binary and src rpm is now available at:
http://www.dolibarr.org/files/lastbuild/package_rpm_redhat-fedora/
Comment 5 Jason Tibbitts 2013-04-30 15:05:46 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

Please post a spec file so that people can look at without chasing down your srpm and unpacking it.

Note a few rpmlint complaints:

  dolibarr.noarch: W: invalid-license GPL-3.0+
Please use a valid License: tag from https://fedoraproject.org/wiki/Licensing:Main

  dolibarr.noarch: E: incorrect-fsf-address /usr/share/dolibarr/htdocs/webservices/demo_wsclient_category.php-NORUN
  dolibarr.noarch: E: incorrect-fsf-address /usr/share/dolibarr/htdocs/cron/info.php
  dolibarr.noarch: E: incorrect-fsf-address /usr/share/dolibarr/htdocs/webservices/server_category.php
Might want to fix these upstream.

  dolibarr.noarch: E: non-executable-script /usr/share/dolibarr/htdocs/includes/odtphp/odt2pdf.sh 0644L /bin/bash
Why is there a shell script under htdocs?

  dolibarr.noarch: W: dangerous-command-in-%post rm
  dolibarr.noarch: W: dangerous-command-in-%postun rm
You really shouldn't do this kind of thing.  I unpacked the srpm to look at the scriptlets, and they are pretty much totally insane.  scriptlets cannot produce output.  You should include a sane configuration file in the package and not mess with it on package upgrades.  The selinux stuff on the surface is OK, though if this package gets in you should communicate with the selinux team to get the necessary contexts into the default policy.  Also, I don't think httpd_sys_script_rw_t is a valid context.  Your scriptlets to restart things are completely improper.  And I'm out of breath now.

Throughout the spec you use macro forms for commands like "%{__chmod}".  These should not be used; just say "chmod" instead.

That's about all I have time for at the moment; there are plenty of other issues I can see, though.
Comment 6 Laurent Destailleur 2014-06-16 12:36:28 EDT
This is link that includes all spec files and sources for all versions:
http://www.dolibarr.org/files/stable/package_rpm_redhat-fedora/
Comment 7 William Moreno 2014-11-22 20:33:40 EST
Any update here? Dollibar is a ERP than could be nice to get in Fedora, any way to help here?
Comment 8 Miroslav Suchý 2015-07-21 09:14:42 EDT
Closing due long inactivity. Feel free to reopen if you want to continue.

Note You need to log in before you can comment on or make changes to this bug.